﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Reflection;
using System.Windows.Forms;

namespace ColumnFormatTest
{
    public partial class Form1 : Form
    {
        DataTable dt = new DataTable();
        public Form1()
        {
            InitializeComponent();
            DataColumn dc = new DataColumn();
            dc.Caption = "Col1";
            dc.DataType = typeof(DateTime);
            dt.Columns.Add(dc);
            dc = new DataColumn();
            dc.Caption = "Col2";
            dc.DataType = typeof(string);
            dt.Columns.Add(dc);
            dt.Rows.Add(new Object[] { DateTime.Now, "12.11.2019" });

            DataTable dtCloned = dt.Clone();
            dtCloned.Columns[1].DataType = typeof(DateTime);
            foreach (DataRow row in dt.Rows)
            {
                dtCloned.ImportRow(row);
            }
            c1FlexGrid1.DataSource = dtCloned;
            c1FlexGrid1.Cols[1].DataType = typeof(DateTime);
            c1FlexGrid1.Cols[2].DataType = typeof(DateTime);
            c1FlexGrid1.Cols[1].Format = "D";
            c1FlexGrid1.Cols[2].Format = "D";
  
        }
    }
}
